Bug 20945 - USB ACM modem changes devices on disconnect
USB ACM modem changes devices on disconnect
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-16 02:23 EST by j. alan eldridge
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-03 13:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2000-11-16 02:23:56 EST
ppps gets a hangup, usb bitches til it's blue in the face, disconnects the
modem device, reconnects it .... on a new ttyACMx device. (it starts out on
ttyACM0 and comes back as ttyACM1, like ttyACM0 didn't get cleared out
properly.)

log fragments and commentary follow.

Nov 12 00:38:33 wozzle kernel: usb.c: USB new device connect, assigned
device nu
mber 3
Nov 12 00:38:33 wozzle kernel: usb.c: USB new device connect, assigned
device nu
mber 4
Nov 12 00:38:33 wozzle kernel: ttyACM0: USB ACM device

[ modem is on ACM0; 3 days pass ]

Nov 15 09:27:12 wozzle kernel: usb-uhci-debug.h:    TD Link Terminate
Nov 15 09:27:12 wozzle kernel: usb-uhci-debug.h:   TD @ cf45c9e0/0F45C9E0,
MaxLe
n=3f DT1 EP=6 Dev=3 PID=( IN  ) buf=06016da0
Nov 15 09:27:12 wozzle kernel: usb-uhci-debug.h:     Len=7ff e0 IOC Stalled
CRC/
Timeo 
Nov 15 09:27:12 wozzle kernel: usb-uhci-debug.h:    TD Link Terminate
Nov 15 09:27:12 wozzle kernel: usb-uhci-debug.h:   TD @ cf45cb20/0F45CB20,
MaxLe
n=3f DT1 EP=6 Dev=3 PID=( IN  ) buf=06016da0
Nov 15 09:27:12 wozzle kernel: usb-uhci-debug.h:     Len=7ff e0 IOC Stalled
CRC/
Timeo 

[ bitch bitch bitch ]

Nov 15 09:27:12 wozzle pppd[6593]: Hangup (SIGHUP)
Nov 15 09:27:12 wozzle pppd[6593]: Modem hangup
Nov 15 09:27:13 wozzle pppd[6593]: Connection terminated.
Nov 15 09:27:13 wozzle pppd[6593]: Connect time 820.5 minutes.
Nov 15 09:27:13 wozzle pppd[6593]: Sent 2637623 bytes, received 39556031
bytes.
Nov 15 09:27:13 wozzle pppd[6593]: Exit.

[ more usb bitching: same thing ]

Nov 15 09:27:13 wozzle kernel: usb.c: USB disconnect on device 3
Nov 15 09:27:13 wozzle kernel: usb-uhci-debug.h:   TD @ cf45cb20/0F45CB20,
MaxLe
n=3f DT1 EP=6 Dev=3 PID=( IN  ) buf=06016da0
Nov 15 09:27:13 wozzle kernel: usb-uhci-debug.h:     Len=7ff e0 IOC Stalled
CRC/
Timeo 
Nov 15 09:27:13 wozzle kernel: usb-uhci-debug.h:    TD Link Terminate
Nov 15 09:27:13 wozzle kernel: usb.c: USB new device connect, assigned
device number 3
Nov 15 09:27:16 wozzle kernel: ttyACM1: USB ACM device

[ whoops! modem is now on ACM1 and ppp is surely hosed ]

Nov 15 09:27:23 wozzle ifup-ppp: pppd started for ppp0 on /dev/modem at
115200
Nov 15 09:27:23 wozzle pppd[14259]: pppd 2.3.11 started by root, uid 0
Nov 15 09:27:23 wozzle pppd[14259]: Failed to open /dev/modem: Invalid
argument 

[ if i hardwarily bounce the modem connection (dis/reconnecting the usb
cable), the modem then comes back on ACM0. this is *not* a solution. ]
Comment 1 Pete Zaitcev 2002-06-03 13:51:22 EDT
Sounds like a design problem to me. I can talk to Greg K-H about it,
if requestor moves to a 2.4 based system. 2.2 based releases were
before my time, I am not sure I can even enter it into a build
system correctly :)  Seriously, we never supported anything but
keyboards and mice on 2.2's.
Comment 2 Pete Zaitcev 2002-07-22 21:55:52 EDT
Closing (stale, and requestor lost interest apparently).

Note You need to log in before you can comment on or make changes to this bug.